// mainview.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMainView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CMainView : public CFormView
{
  DECLARE_DYNCREATE(CMainView)

public:
  SOCKET m_s;                      // socket
  SOCKADDR_IN m_addr;   // address to send to
  IN_ADDR m_in;                   // IP address of address to send to
  int m_nBytesToSend;         // number of bytes to send
  char m_pBuf[101];              // buffer to send

protected:
  CMainView();      // protected constructor used by dynamic creation

// Form Data
public:
  //{{AFX_DATA(CMainView)
  enum { IDD = IDD_DIALOG_MAIN };
    // NOTE: the ClassWizard will add data members here
  //}}AFX_DATA

// Attributes
public:

// Operations
public:

// Implementation
protected:
  virtual ~CMainView();
  virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support
  virtual void OnInitialUpdate();
  // Generated message map functions
  //{{AFX_MSG(CMainView)
  afx_msg LONG OnAsyncSelect(WPARAM wParam, LPARAM lParam);
  afx_msg void OnTimer(UINT nIDEvent);
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#define WM_USER_ASYNC_SELECT (WM_USER + 1)
